<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTblMember extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tbl_member', function (Blueprint $table) {
            $table->bigIncrements('member_id');
            $table->string('member_name',120);
            $table->string('member_email',120)->nullable();
            $table->string('member_phone',20)->nullable();
            $table->tinyInteger('status');
            $table->integer('district_id');
            $table->integer('block_id');
            $table->integer('created_by');
            $table->integer('report_to')->nullable();
            $table->dateTime('created_at')->nullable();
            $table->integer('updated_by')->nullable();
            $table->dateTime('updated_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tbl_member');
    }
}
